.menu-button:hover {
  background: #EC1C24!important;
}
.showFeedback {
    display: flex;
    position: absolute;
}
.span-invalid-feedback{
    position: relative;
    bottom: 3px;
}
.mostrarErroresServidor {
    position: absolute;
}

.form-group{
	margin-bottom: 30px;
}

.dataTablesD > .dropdown-toggle::after {
    display: none !important;
}

.without-btn {
	background: none;
	color: inherit;
	border: none;
	padding: 0;
	font: inherit;
	cursor: pointer;
	outline: inherit;
}

.opcionesOp{
    padding: 10px;
}
.operaciones{
    cursor: pointer;
}
.operaciones:hover{
    margin-bottom: 5px;
    color: #EC1C24;
}
.showFeedback{
    position: relative !important;
}
#cerrarAlerta, #cerrarAlertaEditar{
    font-weight: 800;
    font-size: 20px;
}

.alert-dismissible .close, .alert-dismissible .mailbox-attachment-close {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
    padding: .75rem 1.25rem;
    color: inherit;
}

/******DATATABLES*******/
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    color: white !important;
    border: 1px solid transparent;
    background-color: transparent !important;

    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, transparent), color-stop(100%, transparent));
    /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, transparent 0%, transparent 100%);
    /* Chrome10+,Safari5.1+ */
    background: -moz-linear-gradient(top, transparent 0%, transparent 100%);
    /* FF3.6+ */
    background: -ms-linear-gradient(top, transparent 0%, transparent 100%);
    /* IE10+ */
    background: -o-linear-gradient(top, transparent 0%, transparent 100%);
    /* Opera 11.10+ */
    background: linear-gradient(to bottom, transparent 0%, transparent 100%);
}

#data-table > thead {
    background-color: #fff !important;
}



table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control {
	position: relative;
	padding-left: 30px;
	cursor: pointer;
}
        
table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
	top: 50%;
	left: 5px;
	height: 1em;
	width: 1em;
	margin-top: -9px;
	display: block;
	position: absolute;
	color: white;
	border: .15em solid white;
	border-radius: 1em;
	box-shadow: 0 0 .2em #444;
	box-sizing: content-box;
	text-align: center;
	text-indent: 0 !important;
	font-family: "Courier New",Courier,monospace;
	line-height: 1em;
	content: "+";
	background-color: #0d6efd;
}

table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th.dtr-control:before {
	content: "-";
	background-color: #d33333;
}

table.dataTable.no-footer {
    border-bottom: 0px solid #fff !important;
}
table.dataTable thead th, table.dataTable thead td {
    border-bottom: 0px solid #fff !important;
}


.form-control-sm {
    min-height: 0 !important;
    padding: 0  !important;
	margin-bottom: 5px;
}

.buttons-html5{
	margin-right: 5px;
}

.page-item.active .page-link {
    z-index: 1 !important;
}

.ss-main {
    display: block !important;
    width: 100% !important;
    padding: 0px 15px !important;
    font-size: 0.875rem !important;
    font-weight: 400 !important;
    line-height: 2.715 !important;
    color: #2d3436 !important;
    background-color: #fff !important;
    background-clip: padding-box !important;
    border: 1px solid #b2bec3 !important;
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    appearance: none !important;
    border-radius: 7px !important;
    -webkit-transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out !important;
    transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out !important;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out !important;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out !important;
}

.ss-main .ss-arrow {
    display: inline !important;
}

.ss-value-delete {
    -webkit-box-sizing: unset !important;
	box-sizing: unset !important;
}

/*input*/
.label-input {
    position: absolute;
    z-index: 2;
    left: 0;
    top: 0;
    transform: translateY(-50%);
    background-color: white;
    color: gray;
    padding: 0 0.3rem;
    margin: 0 0.5rem;
    transition: 0.1s ease-out;
    transform-origin: left top;
    pointer-events: none;
}

.dataTables_filter {
    float: left !important;
    text-align: left;
 }

 .dataTables_filter label {
    text-align: left;
 }
  
 th{
    background-color: #464646!important;
    color:#fff
 }
 
 #dynamicAddRemove tr td {
  border:none;
  vertical-align: top;
 }

 .period-date{
    color: #2d3436;
    background-color: #fff;
    border: 1px solid #b2bec3;
    border-radius: 7px;
 }

 .active-menu {
  background: #EC1C24;
  cursor: pointer;
 }

 .active-menu a{
  cursor: pointer;
 }

 table {
    border-collapse: separate!important; 
    border-spacing: 0px 7px!important;
  }
  
  .border-left{
    border-left: 1px solid #8A8A8A!important;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;

  }

  .border-right{
    border-right: 1px solid #8A8A8A!important;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;

  }

  td{
    border-top: 1px solid #8A8A8A;
    border-bottom: 1px solid #8A8A8A;
    color: #616161;
  }

  h2{
    color: #616161!important;
  }

  .bg-white{
    background: #FFFFFF!important;
  }
  .tag-gray{
    background: #d2cece;
    color:#8A8A8A;
    border:1px solid #8A8A8A;
  }
  /*tables datables*/
  .page-link {
    border: none;
  }
  .paginate_button .page-item .active{
    background: #EC1C24;
    color: #fff;
  }
  .custom-select {
    display: inline-block!important;
    width: auto!important;
    padding: 0 10px 0 10px!important;
  }

  #table_filter input{
    display: inline-block!important;
    padding: 0 10px 0 10px!important;
  }

  #table_paginate {
    width: 100%;
    text-align: center;
  }

  #table_paginate ul{
    display: inline-block;
  }

  .dataTables_wrapper .dataTables_paginate .paginate_button {
    padding: 0px;
  }

  .dataTables_wrapper .dataTables_length{
    background: #EC1C24;
    border-radius: 5px;
    color: #ffff;
    padding: 3px;
  }
  #table_length{
    margin-top: 8px;
  }
  #table_length label {
    padding-left: 4px;
  }
  #table_filter label {
    width: 120%;
  }
  #table_length label select {
    background: #EC1C24;
    border: 1px solid #EC1C24;
    color: #fff;
    padding: 0 3px 0 3px!important;
    line-height: 1;
  }

  .dataTables_filter {
    display: none;
}

  .btn-table{
    position: absolute;
    right: 0px;
    top: 20px;
    z-index: 100;
    padding: 6px 8px;
  }
  table,td{
    text-align: center;
  }

  .responsive-table{
    overflow-x: auto;
    width: 100%;
    position: relative;
  }

  .responsive-table::-webkit-scrollbar {
    width: 12px;    
    height: 5px;           
}

.responsive-table::-webkit-scrollbar-track {
    background: #fff;        
}

.responsive-table::-webkit-scrollbar-thumb {
    background-color: #b2bec3;  
    border-radius: 20px;       
    border: 3px solid #b2bec3;  
}

.check-square{
  cursor: pointer;
    background-color: #fff;
    background-image: none;
    width: 25px;
    height: 25px;
    appearance: none;
    border: 2px solid #888;
    border-radius: 3px;
}
.check-square:checked {
  background-color: #4ACB48;
  border: 2px solid #4ACB48;
}
  .background-method{
    background: #F7F7F7;
    color: #464646;
    font-size: 20px;
    margin-bottom: 5px;
    
  }

.check-method{
  width: 20px !important;
  height: 20px !important;
  margin-right: 15px;
  -webkit-appearance: none;
  -moz-appearance: none;
  -o-appearance: none;
  appearance: none;
  outline: 1px solid #4ACB48;
  box-shadow: none;
  font-size: 0.8em!important;
  text-align: center;
  background: #fff;
  border-radius: 5px;
}

.check-method:checked:after {
  content: '✔';
  color: #4ACB48;
}

[data-title]:hover:after {
    opacity: 1;
    transition: all 0.1s ease 0.5s;
    visibility: visible;
    z-index: 99999;
  }
  [data-title]:after {
    content: attr(data-title);
    position: absolute;
    top: -3em;
    left: 90%;
    transform: rotate(-90deg);
    padding: 4px 3px 4px 3px;
    color: #fff;
    white-space: nowrap;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    -moz-box-shadow: 0px 0px 4px #EC1C24;
    -webkit-box-shadow: 0px 0px 4px #EC1C24;
    box-shadow: 0px 0px 4px #EC1C24;
    background-image: -moz-linear-gradient(top, #EC1C24, #EC1C24);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #EC1C24), color-stop(1, #EC1C24));
    background-image: -webkit-linear-gradient(top, #EC1C24, #EC1C24);
    background-image: -moz-linear-gradient(top, #EC1C24, #EC1C24);
    background-image: -ms-linear-gradient(top, #EC1C24, #EC1C24);
    background-image: -o-linear-gradient(top, #EC1C24, #EC1C24);
    opacity: 0;
    z-index: 99999;
    visibility: hidden;
  }
  [data-title] {
    position: relative;
  }


  [title]:hover:after {
    opacity: 1;
    transition: all 0.1s ease 0.5s;
    visibility: visible;
    z-index: 99999;
  }
  [title]:after {
    content: attr(data-title);
    position: absolute;
    top: -2.8em;
    left: 90%;
    transform: rotate(0deg);
    padding: 4px 6px 4px 6px;
    color: #fff;
    white-space: nowrap;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    -moz-box-shadow: 0px 0px 4px #EC1C24;
    -webkit-box-shadow: 0px 0px 4px #EC1C24;
    box-shadow: 0px 0px 4px #EC1C24;
    background-image: -moz-linear-gradient(top, #EC1C24, #EC1C24);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #EC1C24), color-stop(1, #EC1C24));
    background-image: -webkit-linear-gradient(top, #EC1C24, #EC1C24);
    background-image: -moz-linear-gradient(top, #EC1C24, #EC1C24);
    background-image: -ms-linear-gradient(top, #EC1C24, #EC1C24);
    background-image: -o-linear-gradient(top, #EC1C24, #EC1C24);
    opacity: 0;
    z-index: 99999;
    visibility: hidden;
  }
  [title] {
    position: relative;
  }